/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CategoriaTipoPtoVta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class RenderCategoriaTipoPtoVta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CategoriaTipoPtoVta cc = (CategoriaTipoPtoVta) o;

        Listcell lc = new Listcell(cc.getCategoria() == null ? "" : cc.getCategoria().getDesccategoria());
        lc.setParent(lstm);

        lstm.setAttribute("data", cc);
    }
}
